﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Core;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
using HeuristicLab.Hive.Contracts.BusinessObjects;

namespace HeuristicLab.Hive.Experiment {
  [Item("JobItem List", "Represents a list of hive jobs.")]
  [StorableClass]
  public class HiveJobList : ItemList<HiveJob> {
    public HiveJobList() : base() { }
    public HiveJobList(int capacity) : base(capacity) { }
    public HiveJobList(IEnumerable<HiveJob> collection) : base(collection) { }

    public override Common.IDeepCloneable Clone(Common.Cloner cloner) {
      HiveJobList clone = (HiveJobList)base.Clone(cloner);
      return clone;
    }
  }
}
