﻿using System;
using System.Collections.Generic;
using HeuristicLab.Core;
using HeuristicLab.Hive.JobBase;
using HeuristicLab.Optimization;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.Hive.Experiment.Jobs {
  [Item("IJob List", "Represents a list of Hive Job Objects.")]
  [StorableClass]
  public class JobList : ItemList<IJob> {
    public JobList() : base() { }
    public JobList(int capacity) : base(capacity) { }
    public JobList(IEnumerable<IJob> collection) : base(collection) { }

    public override Common.IDeepCloneable Clone(Common.Cloner cloner) {
      HiveJobList clone = (HiveJobList)base.Clone(cloner);
      return clone;
    }
  }
}